# Uses of Class
it.tdlight.jni.TdApi.ChatNotificationSettings

## Uses of TdApi.ChatNotificationSettings in it.tdlight.jni

Fields in it.tdlight.jni declared as TdApi.ChatNotificationSettings
Modifier and Type
Field
Description
`TdApi.ChatNotificationSettings`
TdApi.Chat.`notificationSettings`
Notification settings for this chat.
`TdApi.ChatNotificationSettings`
TdApi.SetChatNotificationSettings.`notificationSettings`
New notification settings for the chat.
`TdApi.ChatNotificationSettings`
TdApi.UpdateChatNotificationSettings.`notificationSettings`
The new notification settings.
Constructors in it.tdlight.jni with parameters of type TdApi.ChatNotificationSettings
Modifier
Constructor
Description
``
`Chat(long id, TdApi.ChatType type, String title, TdApi.ChatPhotoInfo photo, TdApi.ChatPermissions permissions, TdApi.Message lastMessage, TdApi.ChatPosition[] positions, boolean isMarkedAsUnread, boolean isBlocked, boolean hasScheduledMessages, boolean canBeDeletedOnlyForSelf, boolean canBeDeletedForAllUsers, boolean canBeReported, boolean defaultDisableNotification, int unreadCount, long lastReadInboxMessageId, long lastReadOutboxMessageId, int unreadMentionCount, TdApi.ChatNotificationSettings notificationSettings, int messageTtlSetting, String themeName, TdApi.ChatActionBar actionBar, TdApi.VideoChat videoChat, TdApi.ChatJoinRequestsInfo pendingJoinRequests, long replyMarkupMessageId, TdApi.DraftMessage draftMessage, String clientData)`
A chat.
``
`SetChatNotificationSettings(long chatId, TdApi.ChatNotificationSettings notificationSettings)`
Changes the notification settings of a chat.
``
`UpdateChatNotificationSettings(long chatId, TdApi.ChatNotificationSettings notificationSettings)`
Notification settings for a chat were changed.